%define pypi_name oauthlib

Name:           python-oauthlib
Version:        0.6.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic

License:        BSD
URL:            https://github.com/idan/oauthlib
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
OAuthLib is a generic utility which implements the logic of OAuth 
without assuming a specific HTTP request object or web framework.

%package -n     python3-%{pypi_name}
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic


%description -n python3-%{pypi_name}
OAuthLib is a generic utility which implements the logic of OAuth 
without assuming a specific HTTP request object or web framework.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543862
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498993
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 philippem <philippem> 0.6.0-1.mga4
+ Revision: 494895
- imported package python-oauthlib

